/*******************************************************************************
 * The MIT License (MIT)
 *
 * Copyright (c) 2013-2016 Chaosdorf e.V.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 ******************************************************************************/

package de.chaosdorf.meteroid.model;

import java.util.List;

public class AuditsInfo
{
	private final double sum;
	private final double payments_sum;
	private final double deposits_sum;

	private final List<Audit> audits;
	
	public AuditsInfo(
		final double sum, final double payments_sum, final double deposits_sum,
		final List<Audit> audits
	) {
		this.sum = sum;
		this.payments_sum = payments_sum;
		this.deposits_sum = deposits_sum;
		this.audits = audits;
	}
	
	public double getSum() {
		return sum;
	}
	
	public double getPaymentsSum() {
		return payments_sum;
	}
	
	public double getDepositsSum() {
		return deposits_sum;
	}
	
	public List<Audit> getAudits() {
		return audits;
	}
}
